<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net472</TargetFramework>
    <PlatformTarget>x64</PlatformTarget>
    <RootNamespace>CncModels.Tests</RootNamespace>
    <AssemblyName>CncModels.Tests</AssemblyName>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
    <!-- 测试项目不生成XML文档 -->
    <GenerateDocumentationFile>false</GenerateDocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.NETFramework.ReferenceAssemblies.net472" Version="1.0.3" PrivateAssets="all" />
    <PackageReference Include="xunit" Version="2.8.1" />
    <PackageReference Include="xunit.runner.visualstudio" Version="2.8.1" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.10.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\src\CncModels\CncModels.csproj" />
  </ItemGroup>

</Project>
